Introducing the Chargebee CLI

Delete a metered feature

Open in Postman

Permanently deletes a metered feature.

The sample responses show metered features with and without group-by attributes.

Prerequisites & Constraints

  • The metered feature status must not be active.

Impacts

Entitlements and subscription entitlements

Any entitlements and subscription entitlements defined for the feature are removed.

Feature and meter

  • The feature and meter status are changed to deleted.
  • The response retains the meter's query and column_definitions. When query includes a GROUP BY clause, the response also retains group_by.

Sample Request

Open in Postman

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/metered_features/{metered-feature-id}/delete

Returns

Meter object

Resource object representing the meter for the metered feature.